Subject: [Matt Zimmerman] Bug#193694: ucf: during apt-get upgrade of a package, the "configuration file handing" prompt is broken

From: Manoj Srivastava <[email-masked]>
Date: Tue, 20 May 2003 10:10:00 -0500

retitle 193694 stdin not released after debconf db_stop
reassign 193694 debconf
merge 193694 142944
thanks

Subject: Bug#193694: ucf: during apt-get upgrade of a package, the "configuration file handing" prompt is broken
From: Matt Zimmerman <[email-masked]>
To: "Jan 'Miernik' Macek" <[email-masked]>, [email-masked]
Date: Sun, 18 May 2003 22:18:27 -0400

On Sun, May 18, 2003 at 05:04:48AM +0200, Jan 'Miernik' Macek wrote:

> Setting up proftpd (1.2.8-6) ...
> Installing new version of config file /etc/init.d/proftpd ...
> NO MATCH: No such file or directory
> Configuration file `/etc/proftpd.conf'
>  ==> File on system created by you or by a script.
>  ==> File also in package provided by package maintainer.
>    What would you like to do about it ?  Your options are:
>     Y or I  : install the package maintainer's version
>     N or O  : keep your currently-installed version
>       D     : show the differences between the versions
>     3 or T  : show a thre way difference between current, older,
>               and new versions of the file
>       M     : Do a 3 way merge between current, older,
>               and new versions of the file [Very Experimental]
>       Z     : start a new shell to examine the situation
>  The default action is to keep your current version.
> ***  proftpd.conf  (Y/I/N/O/D/Z) [default=N] ?3
> [...]
> dpkg: error processing proftpd (--configure):
>  subprocess post-installation script killed by signal (Interrupt)
> Setting up mozilla-browser-snapshot (0.0.20030507.12.trunk-1) ...
> 
> 
> Pressing 3, T or M or any other letter at this prompt doesn't do 
> anything, while it should. Finally I pressed Ctrl+C to go through.

This is debconf breakage.  stdin is not connected to the tty, so interaction
is impossible.  What I did in apt-listchanges to work around this was to
redirect ucf's stdin from /dev/tty.  This sucks.

-- 
 - mdz

-- 
The Lord prefers common-looking people.  That is the reason that He
makes so many of them. Abraham Lincoln
Manoj Srivastava   <[email-masked]>  <http://www.debian.org/%7Esrivasta/>
1024R/C7261095 print CB D9 F4 12 68 07 E4 05  CC 2D 27 12 1D F5 E8 6E
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C